Child pages
  • TFS4JIRA system requirements

Contents        

Below you will find TFS4JIRA compatibility matrix.


TFS / Azure DevOps Server
(on-premises)
Azure DevOps Services
(cloud)
Jira
(server)
Jira
(cloud)
Jira
(next-gen)
Feature201020122013201520172018201920208.x - 9.x (1)

TFS / Azure DevOps check-ins synchronization

(warning) (2)(tick)(tick)(tick)(tick)(tick)(tick)(tick)(tick)   (tick) (tick)(tick)
TFS-Jira issues synchronization(warning) (2)(tick)(tick)(tick)(tick)(tick)(tick)(tick)(tick)    (tick)(tick)(tick)

 (1) Supported Jira versions are all Jira versions supported by Atlassian. See full list here

 (2) Since Synchronizer version 6.0 TFS 2010 is not officially supported


Version 9.0 or newer

TFS4JIRA Synchronizer web app must be installed on: 

Please note that 6.0 uses several Microsoft components that will be installed/enabled during synchronizer installation. 

Supported browsers

TFS4JIRA Synchronizer web app must be accessed via one of below web browsers:

BrowserMinimum Version
Chromelatest
Firefoxlatest
Edgelatest
Safarilatest
Operalatest

Version 6.0 - 7.10.X

TFS4JIRA Synchronizer web app must be installed on: 

  • Operating System: Windows Server 2008 R2 SP1 or Windows 7 SP1 or newer
  • CPU:  x86-64 or x86 architecture CPU

Please note that 6.0 uses several Microsoft components that will be installed/enabled during synchronizer installation. 

Version 5.2.2 - 5.2.x 

TFS4JIRA Synchronizer web app must be installed on: 

  • Operating System: Windows Server 2008 R2 SP1 or Windows 7 SP1 or newer
  • CPU:  x86-64 or x86 architecture CPU
  • With IIS windows feature version 7.0 or newer with ASP.NET 4.5 enabled -  it should be enabled in Programs in Control Panel. (see screenshot bellow)
  • TFS 2012 Update 4 Object Model (used to connect to the Team Foundation Servers; works for all versions of TFS including TFS 2010-2015 and Azure DevOps (formerly VSTS)).
  • .NET Framework 4.5 or newer

Please remember that IIS Express version won't work with Synchronizer.

Version 5.0 - 5.2.1

TFS4JIRA Synchronizer web app must be installed on: 

  • Operating System: Windows Server 2008 R2 SP1 or Windows 7 SP1 or newer
  • CPU:  x86-64 or x86 architecture CPU
  • With IIS windows feature version 7.0 or newer with ASP.NET 4.5 enabled -  it should be enabled in Programs in Control Panel. (see screenshot bellow)
  • Please remember that IIS Express version won't work with Synchronizer.
  • TFS 2012 Update 4 Object Model  (used to connect to the Team Foundation Servers; works for all versions of TFS including TFS 2010-2015 and Azure DevOps (formerly VSTS)).
  • .NET Framework 4.5 or newer
  • SQL Server Compact Edition 4.0  (required even when full SQL Server version is installed)

 

TFS4JIRA Synchronizer 6.0 will install/enable the following components :

TFS4JIRA Synchronizer 7.1 will install/enable the following components :


Do not configure the synchronizer to use MS SQL Server

While it is technically possible to use the synchronizer's configuration files to connect to a different database than SQL Server Compact (for example to MS SQL Server), such a configuration is not tested and not supported. If you do reconfigure the synchronizer this way, it might work, but in case of problems, you are on your own



  • No labels

This page has no comments.